commit:     c5670091702a40d5ef44eb477b256824651c72ea
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Thu Dec 18 18:37:57 2025 +0000
Commit:     Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Tue Jan 13 13:07:53 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5670091

dev-cpp/scitokens-cpp: add 1.2.0

Closes: https://bugs.gentoo.org/923309
Closes: https://github.com/gentoo/gentoo/pull/45077
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>
Signed-off-by: Guilherme Amadio <amadio <AT> gentoo.org>

 dev-cpp/scitokens-cpp/Manifest                   |  1 +
 dev-cpp/scitokens-cpp/scitokens-cpp-1.2.0.ebuild | 57 ++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-cpp/scitokens-cpp/Manifest b/dev-cpp/scitokens-cpp/Manifest
index 2200384d3d7a..eea4db2ddc08 100644
--- a/dev-cpp/scitokens-cpp/Manifest
+++ b/dev-cpp/scitokens-cpp/Manifest
@@ -2,3 +2,4 @@ DIST scitokens-cpp-1.1.0.tar.gz 311446 BLAKE2B 
a515d834df04125ae9167cb4656def7df
 DIST scitokens-cpp-1.1.1.tar.gz 311677 BLAKE2B 
ea880a50b5e3e6f17c4bb11b7021df5e22cb4bb496fc17395a9886ebd359bc7f2522a0b1dd89e8aaa477a1302613f5da6d0a40f903e056736abc35ca1230518e
 SHA512 
f5b42078fce6c1e812eedb456cf1275eaddfae5715193fd566f1f7a598b5632f81f3893efb220c57ff89d233c375c68785c8a6a1c3d3db6d3757979d87916265
 DIST scitokens-cpp-1.1.2.tar.gz 312169 BLAKE2B 
de6053f9319074b442e074b643042095e0bb5c796d1874ec1f7ace35b8f45825314fc2b086820d86b4f7d384974ce1b62ae4180bfc14744b722cf5c240d7521c
 SHA512 
d7898b5717b6df6cda7c30c33dd993e81f30befa62522a920db96ca39611658b16347338c67e3acbe7a9c88d5e273d935ec1109420e7b66c700136315e513938
 DIST scitokens-cpp-1.1.3.tar.gz 312260 BLAKE2B 
b77faab945b6e3ec86bf9e6d8d49a8e29a104ff651cd99802cb845322d5bf364431dc9005cecdcb001a2cf0a599242883804d3b3bf8f3f8ea6152d0f224585c8
 SHA512 
2c3822f6bf8cd2b8d6d8f30c5499cf0fca3dd212f83af9de7116c84b06ffc9a2f26ec37a3e42f90f947a8a82dfb0d279529f46a175524e9b582f2afd8a02b5a7
+DIST scitokens-cpp-1.2.0.tar.gz 118523 BLAKE2B 
42f93059886c80080f6a73e14d48cbe3c03b1f4bebc50c262f036801539a6ae322599ce888543917026d102d944c370111aeeb2477ee10075318541a5dcc6abb
 SHA512 
5043d368fd55d4644f21822537e5be11ece5eba37b3fe6f75aba9fcfcc0af49a99ddfcb87d83f8a85c3ef484807fa847469749ee02dc7d08dba9ba5245c52f73

diff --git a/dev-cpp/scitokens-cpp/scitokens-cpp-1.2.0.ebuild 
b/dev-cpp/scitokens-cpp/scitokens-cpp-1.2.0.ebuild
new file mode 100644
index 000000000000..76c50582f61c
--- /dev/null
+++ b/dev-cpp/scitokens-cpp/scitokens-cpp-1.2.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/scitokens/scitokens-cpp";
+else
+       
SRC_URI="https://github.com/scitokens/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="amd64 x86"
+fi
+
+DESCRIPTION="C++ implementation of the SciTokens library with a C library 
interface"
+HOMEPAGE="https://scitokens.org/";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+DEPEND="
+       >=dev-cpp/jwt-cpp-0.7.0[picojson]
+       dev-db/sqlite
+       dev-libs/openssl:0=
+       net-misc/curl:0=
+       kernel_linux? ( sys-apps/util-linux )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( dev-cpp/gtest )
+"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+       # Unbundle dev-cpp/gtest, dev-cpp/jwt-cpp
+       rm -r vendor || die
+       # Fix include path for picojson.
+       find src/ \( -name '*.cpp' -o -name '*.h' \) -type f -print0 | \
+               xargs -0 sed -r -e "s:picojson/picojson\.h:picojson.h:g" -i || 
die
+       # Disable network-based tests relying on external services.
+       if use test; then
+               sed -i  -e '/^TEST_F/s#RefreshTest#DISABLED_RefreshTest#' \
+                       -e 
'/^TEST_F/s#RefreshExpiredTest#DISABLED_RefreshExpiredTest#' test/main.cpp || 
die
+       fi
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DSCITOKENS_BUILD_UNITTESTS="$(usex test)"
+               -DSCITOKENS_EXTERNAL_GTEST=YES
+       )
+       cmake_src_configure
+}

Reply via email to